Apache Tomcat 8.5.14 和 9.0.0.M20 发布,Java 应用服务器 

两味真火
 两味真火
发布于 2017年04月20日
收藏 5

Apache Tomcat 8.5.14 和 9.0.0.M20 发布了。Tomcat 是一个小型的轻量级应用服务器,在中小型系统和并发访问用户不是很多的场合下被普遍使用,是开发和调试JSP 程序的首选。

Apache Tomcat 8.5.14:

Apache Tomcat 8.5.x旨在替代8.0.x,并包含从9.0.x分支向前推出的新功能。 8.5.13以来的显着变化包括:

  • 更正断开JMX操作的回退(包括Manager Web应用程序)

  • 调用isReady()在异步servlet的超时后不再抛出异常

有关更改的完整列表,请参阅更改日志

Tomcat 8.x用户通常应使用8.5.x版本,而不是8.0.x版本。

下载地址:

Apache Tomcat 9.0.0.M20:

Apache Tomcat 9.0.0.M20 是9.0.x分支的里程碑版本,与9.0.0.M19相比,显着的变化包括:

  • 更正断开JMX操作的回退(包括Manager Web应用程序)

  • 添加 JMX 支持

  • 在异步servlet超时后调用isReady(),不再抛出异常

有关更改的完整列表,请参阅更改日志

下载地址:

Apache Tomcat 5.x,6.x,7.x和8.0.x的迁移指南

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:Apache Tomcat 8.5.14 和 9.0.0.M20 发布,Java 应用服务器 
加载中

精彩评论

zigzagroad
zigzagroad
好。
大家注意了,8.x、9.x版本按照JCP规范(JSP 2.3版本)只支持以GET、POST、HEAD方式访问JSP页面;如果你的工程中使用了其他HTTP方式(如:PUT、DELETE等),那么不建议从6.x、7.x版本升级到8.x、9.x版本,否则得到的是一个错误警告,而不是期望的、符合业务功能目标的内容。参考: https://my.oschina.net/yaray/blog/882264

最新评论(10

开源中国首席罗纳尔多
开源中国首席罗纳尔多

引用来自“漆黑的烈焰使”的评论

请问tomcat8以上哪个版本比较稳定?

引用来自“梅公子”的评论

8.0.x都稳定

引用来自“漆黑的烈焰使”的评论

回复@梅公子 : 主要是害怕切换到高版本的tomcat springmvc等框架跑不了

引用来自“简单代码”的评论

搞个测试环境试试不就行了?以前看人总是说不敢升级什么的,吓死一大批用java的人,最简单的办法就是用新版测试一下!新版在新特性和稳定性肯定有突破,包括新的jvm等可以带来性能提升。
回复@简单代码 : 恩,确实是不试不知道的
简单代码
简单代码

引用来自“漆黑的烈焰使”的评论

请问tomcat8以上哪个版本比较稳定?

引用来自“梅公子”的评论

8.0.x都稳定

引用来自“漆黑的烈焰使”的评论

回复@梅公子 : 主要是害怕切换到高版本的tomcat springmvc等框架跑不了
搞个测试环境试试不就行了?以前看人总是说不敢升级什么的,吓死一大批用java的人,最简单的办法就是用新版测试一下!新版在新特性和稳定性肯定有突破,包括新的jvm等可以带来性能提升。
zigzagroad
zigzagroad
好。
大家注意了,8.x、9.x版本按照JCP规范(JSP 2.3版本)只支持以GET、POST、HEAD方式访问JSP页面;如果你的工程中使用了其他HTTP方式(如:PUT、DELETE等),那么不建议从6.x、7.x版本升级到8.x、9.x版本,否则得到的是一个错误警告,而不是期望的、符合业务功能目标的内容。参考: https://my.oschina.net/yaray/blog/882264
一号男嘉宾
一号男嘉宾
那还是用你现在的吧,跨度太大,风险也大
开源中国首席罗纳尔多
开源中国首席罗纳尔多

引用来自“漆黑的烈焰使”的评论

请问tomcat8以上哪个版本比较稳定?

引用来自“梅公子”的评论

8.0.x都稳定
回复@梅公子 : 主要是害怕切换到高版本的tomcat springmvc等框架跑不了
一号男嘉宾
一号男嘉宾

引用来自“漆黑的烈焰使”的评论

请问tomcat8以上哪个版本比较稳定?
8.0.x都稳定
西夏一品堂
西夏一品堂
9.x 正式版什么时候发布
开源中国首席罗纳尔多
开源中国首席罗纳尔多
请问tomcat8以上哪个版本比较稳定?
简约_bolin
简约_bolin

引用来自“游客”的评论

在中小型系统和并发访问用户不是很多的场合下被普遍使用
如果并发访问用户很多的场合用什么呢?好奇
部署多个tomcat。。。然后前面放个反向代理服务器,做负载均衡。
返回顶部
顶部